! closure for gtap ic-IRTS model 
Exogenous
          pop
          psaveslack pfactwld
          incomeslack endwslack
          saveslack govslack tradslack
!         cgdslack
!
! ENTRY AND EXIT ASSUMPTIONS OF IC FIRMS:
! With free entry and exit we have zero profit condition
!
          profitslack 
!
! Given IRTS, the output augmenting technical change for TRAD_COMM is
! endogenized (and oscale exogenized) 
          ao("cgds",REG)
          af afe ava atr
          to txs tms tx tm tpd tpm
          qo(ENDW_COMM,REG)
!
! EXTRA for IRTS model
	  mu(ENDW_COMM,REG)
          mu("cgds",REG)
! For fixed cost/variable CDR, endogenize p_scale and exogenize cdrscale
          cdrscale
!          p_scale
!
! Given IRTS oscale is exogenous
          oscale(TRAD_COMM,REG)
!
          c_HINDEX
! fix the trade balance
!           cgdslack("MOR") 
            dtbal("MOR")
!           dtbal("E_U")
!           dtbal("ROW")
           cgdslack("E_U") 
           cgdslack("ROW")
!
! FISCAL NEUTRALITY ASSUMPTIONS (VAT additions)
          tcons
!         govcrr
;
Rest Endogenous ;
